<template>
  <div>
    <v-form>
      <v-container>
        <v-layout>
          <v-flex xs12 md4>
            <v-text-field
              v-model="username"
              label="UserName"
              required
            ></v-text-field>
          </v-flex>

          <v-flex xs12 md4>
            <v-text-field
              v-model="password"
              label="Password"
              type="password"
              required
            ></v-text-field>
          </v-flex>
        </v-layout>
      </v-container>
      <v-btn v-on:click="login" color="#FDFEFE">Connect</v-btn>
    </v-form>
  </div>
</template>

<script>
import axios from "axios";
const userUrl = `${process.env.VUE_APP_API_URL}/users`;

export default {
  name: "Login",
  data() {
    return {
      username: "",
      password: ""
    };
  },
  computed: {
    basicToken() {
      return btoa(`${this.username}:${this.password}`);
    }
  },
  methods: {
    login() {
      axios
        .get(`${userUrl}/me`, {
          headers: { Authorization: `Basic ${this.basicToken}` }
        })
        .then(
          response => {
            console.log(this);
            if (response.status === 200) {
              this.$session.start();
              this.$session.set("Basic", `Basic ${this.basicToken}`);
              this.$router.push("/");
              console.log("Connection succesfull");
              console.log(this.$session.exists());
            }
          },
          err => {
            console.error("Couldn't log in");
            console.log("err", err);
          }
        );
    }
  }
};
</script>

<style scoped></style>
